Botan 1.10.17

Namespaces | Macros | Functions
mp_asm.h File Reference
`#include <botan/mp_types.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | BOTAN_WORD_MUL(a, b, z1, z0) bigint_2word_mul(a, b, &z1, &z0)

## Functions
void | Botan::bigint_2word_mul (word a, word b, word *z1, word *z0)
word | Botan::word_madd2 (word a, word b, word *c)
word | Botan::word_madd3 (word a, word b, word c, word *d)

## Macro Definition Documentation

## ◆ BOTAN_WORD_MUL

#define BOTAN_WORD_MUL | ( |  | a,
|  |  | b,
|  |  | z1,
|  |  | z0
| ) |  | bigint_2word_mul(a, b, &z1, &z0)

Definition at line 79 of file mp_asm.h.

Referenced by Botan::word_madd2(), and Botan::word_madd3().